﻿//========================================================================
// Name:     MP3_TextTags.cs   
// Author:   Jim Roberts 
// Date:     March 2017
// Purpose:  List ID3 v2.3 textual tags
// Comments: 
//========================================================================

namespace JAudioTags
{
    /// <summary>
    /// Lists all of the ID3 v 2.3 text tags
    /// </summary>
    public enum V23TextTags
    {
        /// <summary>
        /// The ALBUM tag
        /// </summary>
        TALB,
        /// <summary>
        /// The ALBUMSORT tag
        /// </summary>
        TSOA,
        /// <summary>
        /// the ALBUMARTIST tag
        /// </summary>
        TPE2,
        /// <summary>
        /// The ALBUMARTISTSORT tag
        /// </summary>
        TSO2,
        /// <summary>
        /// The ARTIST tag
        /// </summary>
        TPE1,
        /// <summary>
        /// The ARTISTSORT tag
        /// </summary>
        TSOP,
        /// <summary>
        /// The BPM (Beats per minute) tag
        /// </summary>
        TBPM,
        /// <summary>
        /// The COMPILATION tag
        /// </summary>
        TCMP,
        /// <summary>
        /// The COMPOSER Tag
        /// </summary>
        TCOM,
        /// <summary>
        ///  The COMPOSERSORT Tag
        /// </summary>
        TSOC,
        /// <summary>
        /// The CONDUCTOR tag
        /// </summary>
        TPE3,
        /// <summary>
        /// The CONTENTGROUP tag
        /// </summary>
        TIT1,
        /// <summary>
        /// The COPYRIGHT tag
        /// </summary>
        TCOP,
        /// <summary>
        /// The DISCNUMBER tag
        /// </summary>
        TPOS,
        /// <summary>
        /// The ENCODEDBY tag
        /// </summary>
        TENC,
        /// <summary>
        /// The ENCODERSETTINGS tag
        /// </summary>
        TSSE,
        /// <summary>
        /// The FILEOWNER tag
        /// </summary>
        TOWN,
        /// <summary>
        /// The FILETYPE tag
        /// </summary>
        TFLT,
        /// <summary>
        /// The GENRE tag
        /// </summary>
        TCON,
        /// <summary>
        /// The INITIALKEY tag
        /// </summary>
        TKEY,
        /// <summary>
        /// The ISRC Tag
        /// </summary>
        TSRC,
        /// <summary>
        /// The LANGUAGE tag
        /// </summary>
        TLAN,
        /// <summary>
        /// The LENGTH tag
        /// </summary>
        TLEN,
        /// <summary>
        /// The LYRACIST tag
        /// </summary>
        TEXT,
        /// <summary>
        /// The MEDIATYPE tag
        /// </summary>
        TMED,
        /// <summary>
        /// The MIXARTIST tag
        /// </summary>
        TPE4,
        /// <summary>
        ///  The NETRADIOOWNER tag
        /// </summary>
        TRSO,
        /// <summary>
        /// The NETRADIOSTATION tag
        /// </summary>
        TRSN,
        /// <summary>
        /// The ORIGALBUM tag
        /// </summary>
        TOAL,
        /// <summary>
        /// The ORIGARTIST tag
        /// </summary>
        TOPE,
        /// <summary>
        /// The ORIGFILENAME tag
        /// </summary>
        TOFN,
        /// <summary>
        /// The ORIGLYRACIST tag
        /// </summary>
        TOLY,
        /// <summary>
        /// The PODCASTCATEGORY tag
        /// </summary>
        TCAT,
        /// <summary>
        /// The PODCASTDESC tag
        /// </summary>
        TDES,
        /// <summary>
        /// The PODCASTID tag
        /// </summary>
        TGID,
        /// <summary>
        /// The PODCASTKEYWORDS tag
        /// </summary>
        TKWD,
        /// <summary>
        /// The PUBLISHER tag
        /// </summary>
        TPUB,
        /// <summary>
        /// The RELEASETIME tag
        /// </summary>
        TDRL,
        /// <summary>
        /// The SUBTITLE tag
        /// </summary>
        TIT3,
        /// <summary>
        /// The TITLE tag
        /// </summary>
        TIT2,
        /// <summary>
        /// The TITLE SORT tag
        /// </summary>
        TSOT,
        /// <summary>
        /// The TRACK tag
        /// </summary>
        TRCK,
        /// <summary>
        /// The OTHERFIELD tag
        /// </summary>
        TXXX,
        /// <summary>
        /// The ORIGYEAR tag
        /// </summary>
        TORY,
        /// <summary>
        /// The YEAR tag
        /// </summary>
        TYER,
        /// <summary>
        /// The COMMENT tag
        /// </summary>
        COMM
    }
}